<?php
require"xslt_transform.php";

// standardní ošetření browseru, se samotným RSS nijak nesouvisí
$headers=getallheaders();
if(stristr($headers["Accept"],"application/xhtml+xml")) $content_type="application/xhtml+xml"; else
$content_type="text/html";
header("Content-Type: $content_type; charset=utf-8");
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
	<meta http-equiv="Content-type" content="<?php echo$content_type;?>; charset=utf-8" />
	<meta http-equiv="Content-language" content="cs" />
	<title>Ukázka velejednoduché RSS čtečky</title>
	<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body>
	<h1>Ukázka velejednoduché RSS čtečky</h1>
	<?
	$mojekanaly=array("http://seky.nahory.net/seky.rss","http://cyber.law.harvard.edu/blogs/gems/tech/sampleRss091.xml"); // seznam zdrojů
	for($i=0;$i<count($mojekanaly);$i++)
		{
		$file=@implode("\n",file($mojekanaly[$i])); // načtení zdroje
		if($file)
			{
			preg_match("/\<\?xml[^>]+encoding=[\"']([a-zA-Z0-9\-]+)[\"']/i", $file, $pole); // zjištění kódování
			$charset=$pole[1]?$pole[1]:"utf-8"; // pokud nebylo uvedeno, použije se utf-8
			$charset=preg_replace("/windows\-/i","CP",$charset); // pokud je windows, převede argument pro funkci iconv()
			if(strtolower($charset)!="utf-8") // pokud je jiné kódování než utf-8
				{
				$file=iconv($charset."//TRANSLIT","utf-8",$file); // převede se na utf-8
				$file=preg_replace("/\<\?xml([^>]+)(encoding=[\"']([a-zA-Z0-9\-]+)[\"'])/i", "<?xml\\1", $file); // odstraní údaj o kódování z xml
				}
			$vysledek=xslt_transform($file,"stylesheet.xsl"); // provede xslt transormaci
			if($vysledek) echo $vysledek; // pokud proběhla správně, vypíše výsledek
			else echo"<div class='chyba'>Nepodařilo se provést transformaci zdroje: ".$mojekanaly[$i]."</div>".$file;
			}
		else echo"<div class='chyba'>Nepodařilo se načíst zdroj: ".$mojekanaly[$i]."</div>";
		}
	?>
	<div>Tato ukázka je k vidění na <a href="http://seky.nahory.net/2004/07/xslt-rss-ctecka/">http://seky.nahory.net/2004/07/xslt-rss-ctecka/</a>.</div>
</body>
</html>

