<?php
function xslt_transform( // vrt kd vytvoen xslt transformac podle dan ablony
		$xml, // etzec
		$stylesheet, // cesta k souboru
		$params=array(), // parametry v poli
		$pretty=true, // zachovat whitespace
		$replace_ent=true // zmnit tvar &amp;ent; na &ent; hod se pi pevodu XML na HTML pokud nechceme deklarovat vechny HTML entity
		)
	{
	$stylesheet=@implode("",file($stylesheet)); // nate XSLT stylesheet
	$arguments = array('/_xml' => $xml, '/_xsl' => $stylesheet ); // nastav parametry pro voln procesoru
	$xh = xslt_create(); // vytvo procesor
	xslt_set_base( $xh, 'file://'.__FILE__); // nastav vchoz cestu; je teba pokud v XSLT vyuvme dal XML dokumenty pomoc funkce document() a mme star verzi php
	$result=@xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $arguments, $params); // provede transformaci
	xslt_free($xh); // odstran parser
	if($result)
		{
		if($replace_ent)$result=preg_replace("/&amp;([[:alnum:]]+);/i","&\\1;",$result); // ev. pevede entity
		if(!$pretty) $result=preg_replace("/>[[:space:]]*</","><",$result); // ev. vypust whitespace
		return $result; // vrt vsledek
		}
	}
?>
